cadquery/monitor/parameters.py
Roberto Alsina c2caea9039 Large design change.
While not as pretty this should work much better mechanically
based on the results from the last test print.

* Added room for the plugs to slide from the middle outwards
* Made back reinforcement much larger so it connects the piece that is
  split by that plug channel
* Removed separate board cutout (not needed anymore)
* Fix cable channel (was cutting through end caps)
* Change shelling parameters so it keeps a cap on both ends
* Adjusted segment breaks for new reality

* TODO: adjust rear hinge design to be flat and not "envolving"
2022-07-24 11:11:16 -03:00

33 lines
923 B
Python

# Shell thickness
shell_t = 3.5
# width, length VISIBLE WITHIN THE BEZEL
screen_w = 223
screen_l = 57
# Distance from the left of the case to screen cutout
screen_left_margin = 7 + shell_t # (7 is bezel width on that side)
# width, length, height INCLUDING_BEZEL
display_w = 233
display_l = 65
# This is the general height without the board, that's handled separately
display_h = 5
width = 250
height = display_h + 2 * shell_t + 1
length = display_l + 2 * shell_t + 1
fillet_s = 2
# Distance from the left of the case to display end
display_left_margin = screen_left_margin - 7
# Distance from the right of the case to display end
display_right_margin = width - display_left_margin - display_w
# Distance from the top of the case to display top
display_top_margin = (length - display_l) / 2
display_bottom_margin = display_top_margin # Symmetrical
# Threaded insert hole dimensions
ti_radius = 2.35
ti_depth = 6.5